Bug 1431019 - Review Request: heaptrack - A heap memory profiler for Linux
Summary: Review Request: heaptrack - A heap memory profiler for Linux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 08:25 UTC by Jan Grulich
Modified: 2017-04-25 17:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 16:58:31 UTC
Type: ---
mbriza: fedora-review+


Attachments (Terms of Use)
fedora-review output (11.38 KB, text/plain)
2017-03-10 10:05 UTC, Martin Bříza
no flags Details

Description Jan Grulich 2017-03-10 08:25:03 UTC
Spec URL: https://jgrulich.fedorapeople.org/heaptrack/heaptrack.spec
SRPM URL: https://jgrulich.fedorapeople.org/heaptrack/heaptrack-1.0.0-1.fc25.src.rpm
Description: 
Heaptrack traces all memory allocations and annotates these events with stack
traces.Dedicated analysis tools then allow you to interpret the heap memory
profile to:
- find hotspots that need to be optimized to reduce the memory footprint of your application
- find memory leaks, i.e. locations that allocate memory which is never deallocated
- find allocation hotspots, i.e. code locations that trigger a lot of memory allocation calls
- find temporary allocations, which are allocations that are directly followed by their deallocation

Fedora Account System Username: jgrulich
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18297848

Comment 1 Martin Bříza 2017-03-10 10:05:08 UTC
Created attachment 1261878 [details]
fedora-review output

The spec overall is clean and looks ok. The formal stuff (name, license etc) seems alright too.
Putting that one include file to a separate devel package seems a bit far fetched now.
fedora-review output is ok, too. Giving a +

Comment 2 Gwyn Ciesla 2017-03-10 13:26:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/heaptrack

Comment 3 Fedora Update System 2017-03-13 06:54:58 UTC
heaptrack-1.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b6a410ece

Comment 4 Fedora Update System 2017-03-13 06:55:05 UTC
heaptrack-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-721817bf56

Comment 5 Fedora Update System 2017-03-13 06:55:10 UTC
heaptrack-1.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e960458286

Comment 6 Fedora Update System 2017-03-13 09:20:52 UTC
heaptrack-1.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b6a410ece

Comment 7 Fedora Update System 2017-03-14 01:19:48 UTC
heaptrack-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e960458286

Comment 8 Fedora Update System 2017-03-14 01:23:06 UTC
heaptrack-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-721817bf56

Comment 9 Fedora Update System 2017-03-23 11:55:33 UTC
heaptrack-1.0.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e960458286

Comment 10 Fedora Update System 2017-03-23 12:00:47 UTC
heaptrack-1.0.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-721817bf56

Comment 11 Fedora Update System 2017-03-23 12:00:54 UTC
heaptrack-1.0.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b6a410ece

Comment 12 Fedora Update System 2017-03-23 19:22:47 UTC
heaptrack-1.0.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e960458286

Comment 13 Fedora Update System 2017-03-24 14:51:26 UTC
heaptrack-1.0.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b6a410ece

Comment 14 Fedora Update System 2017-03-24 20:23:04 UTC
heaptrack-1.0.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-721817bf56

Comment 15 Fedora Update System 2017-04-01 16:58:31 UTC
heaptrack-1.0.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-25 17:22:28 UTC
heaptrack-1.0.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-04-25 17:54:29 UTC
heaptrack-1.0.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.